| QxOrm 1.3.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | Friends
qx::service::QxConnect Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxConnect : define connection parameters used by QxService module of QxOrm library (this class is a singleton) More...

`#include <QxConnect.h>`

Inheritance diagram for qx::service::QxConnect:

List of all members.

## Public Types
enum | serialization_type { serialization_binary, serialization_xml, serialization_text, serialization_portable_binary, serialization_wide_binary, serialization_wide_xml, serialization_wide_text, serialization_polymorphic_binary, serialization_polymorphic_xml, serialization_polymorphic_text }
## Public Member Functions
| QxConnect ()
virtual | ~QxConnect ()
QString | getIp () const
long | getPort () const
serialization_type | getSerializationType () const
long | getThreadCount () const
int | getMaxWait () const
bool | getCompressData () const
bool | getEncryptData () const
quint64 | getEncryptKey () const
void | setIp (const QString &s)
void | setPort (long l)
void | setSerializationType (serialization_type e)
void | setThreadCount (long l)
void | setMaxWait (int i)
void | setCompressData (bool b)
void | setEncryptData (bool b, quint64 key=0)
## Protected Attributes
QString | m_sIp
| Ip address.
long | m_lPort
| Port number.
serialization_type | m_eSerializationType
| Serialization type to send data over network.
long | m_lThreadCount
| Thread count to execute all transactions (cf. 'QxThreadPool')
int | m_iMaxWait
| Max wait in milliseconds for network processes.
bool | m_bCompressData
| Compress data over network.
bool | m_bEncryptData
| Encrypt data before transfering it over network.
quint64 | m_uiEncryptKey
| 64 bit key to encrypt/decrypt data
## Friends
class | qx::QxSingleton< QxConnect >

## Detailed Description

qx::service::QxConnect : define connection parameters used by QxService module of QxOrm library (this class is a singleton)

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 78 of file QxConnect.h.

## Member Enumeration Documentation

enum qx::service::QxConnect::serialization_type

Enumerator:

  serialization_binary |
  serialization_xml |
  serialization_text |
  serialization_portable_binary |
  serialization_wide_binary |
  serialization_wide_xml |
  serialization_wide_text |
  serialization_polymorphic_binary |
  serialization_polymorphic_xml |
  serialization_polymorphic_text |

Definition at line 85 of file QxConnect.h.

## Constructor & Destructor Documentation

qx::service::QxConnect::QxConnect | ( |  | ) | `[inline]`

Definition at line 102 of file QxConnect.h.

virtual qx::service::QxConnect::~QxConnect | ( |  | ) | `[virtual]`

## Member Function Documentation

bool qx::service::QxConnect::getCompressData | ( |  | ) | const`[inline]`

Definition at line 110 of file QxConnect.h.

bool qx::service::QxConnect::getEncryptData | ( |  | ) | const`[inline]`

Definition at line 111 of file QxConnect.h.

quint64 qx::service::QxConnect::getEncryptKey | ( |  | ) | const`[inline]`

Definition at line 112 of file QxConnect.h.

QString qx::service::QxConnect::getIp | ( |  | ) | const`[inline]`

Definition at line 105 of file QxConnect.h.

int qx::service::QxConnect::getMaxWait | ( |  | ) | const`[inline]`

Definition at line 109 of file QxConnect.h.

long qx::service::QxConnect::getPort | ( |  | ) | const`[inline]`

Definition at line 106 of file QxConnect.h.

serialization_type qx::service::QxConnect::getSerializationType | ( |  | ) | const`[inline]`

Definition at line 107 of file QxConnect.h.

long qx::service::QxConnect::getThreadCount | ( |  | ) | const`[inline]`

Definition at line 108 of file QxConnect.h.

void qx::service::QxConnect::setCompressData | ( | bool | b | ) | `[inline]`

Definition at line 119 of file QxConnect.h.

void qx::service::QxConnect::setEncryptData | ( | bool | b,
|  | quint64 | key = `0`
| ) |  | `[inline]`

Definition at line 120 of file QxConnect.h.

void qx::service::QxConnect::setIp | ( | const QString & | s | ) | `[inline]`

Definition at line 114 of file QxConnect.h.

void qx::service::QxConnect::setMaxWait | ( | int | i | ) | `[inline]`

Definition at line 118 of file QxConnect.h.

void qx::service::QxConnect::setPort | ( | long | l | ) | `[inline]`

Definition at line 115 of file QxConnect.h.

void qx::service::QxConnect::setSerializationType | ( | serialization_type | e | ) | `[inline]`

Definition at line 116 of file QxConnect.h.

void qx::service::QxConnect::setThreadCount | ( | long | l | ) | `[inline]`

Definition at line 117 of file QxConnect.h.

## Friends And Related Function Documentation

friend class qx::QxSingleton< QxConnect >`[friend]`

Definition at line 81 of file QxConnect.h.

## Member Data Documentation

bool qx::service::QxConnect::m_bCompressData`[protected]`

Compress data over network.

Definition at line 96 of file QxConnect.h.

bool qx::service::QxConnect::m_bEncryptData`[protected]`

Encrypt data before transfering it over network.

Definition at line 97 of file QxConnect.h.

serialization_type qx::service::QxConnect::m_eSerializationType`[protected]`

Serialization type to send data over network.

Definition at line 93 of file QxConnect.h.

int qx::service::QxConnect::m_iMaxWait`[protected]`

Max wait in milliseconds for network processes.

Definition at line 95 of file QxConnect.h.

long qx::service::QxConnect::m_lPort`[protected]`

Port number.

Definition at line 92 of file QxConnect.h.

long qx::service::QxConnect::m_lThreadCount`[protected]`

Thread count to execute all transactions (cf. 'QxThreadPool')

Definition at line 94 of file QxConnect.h.

QString qx::service::QxConnect::m_sIp`[protected]`

Ip address.

Definition at line 91 of file QxConnect.h.

quint64 qx::service::QxConnect::m_uiEncryptKey`[protected]`

64 bit key to encrypt/decrypt data

Definition at line 98 of file QxConnect.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxService/QxConnect.h